GOATTRACKER(1)

NAME
goattracker - C64 music editor

SYNOPSIS
goattracker [songname] [options]

DESCRIPTION
This manual page documents briefly the goattracker command.

goattracker is a C64 music tracker. It supports emulated output via the software reSID engine, the HardSID soundcard, or the Catweasel (MK3/MK4) controller card, and produces songs in its own format (*.SNG). The program can also export tunes in SID format, BIN format, or Commodore PRG format for inclusion on a floppy you can stick into a 1541/1571/1581 drive. Like most tracker programs, the program is able to import instrument files, create and modify track patterns, set the order of playback of patterns and change details of the song such as the title and author. If you are familiar with tracker-like programs, then GoatTracker will feel like a simple version of those, though with differences attributable to the hardware. People new to composing in general should look up other information on composing on the C64.

-Axx
    Set ADSR parameter for hardrestart in hex. DEFAULT=0F00

-Bxx
    Set sound buffer length in milliseconds DEFAULT=100

-Cxx
    Use Catweasel MK3 PCI SID (0 = off, 1 = on)

-Dxx
    Pattern row display (0 = decimal, 1 = hex, 2 = decimal w/dots, 3 = hex w/dots)

-Exx
    Set emulated SID model (0 = 6581 1 = 8580) DEFAULT=6581

-Fxx
    Set custom SID clock cycles per second (0 = use PAL/NTSC default)

-Gxx
    Set pitch of A-4 in Hz (0 = use default frequencytable, close to 440Hz)

-Hxx
    Use HardSID (0 = off, 1 = HardSID ID0 2 = HardSID ID1 etc.)

-Ixx
    Set reSID interpolation (0 = off, 1 = on, 2 = distortion, 3 = distortion & on) DEFAULT=off

-Jxx
    Set special note names (2 chars for every note in an octave/cycle, e.g. C-DbD-EbE-F-GbG-AbA-BbB-)

-Kxx
    Note-entry mode (0 = Protracker, 1 = DMC, 2 = Janko) DEFAULT=Protracker

-Lxx
    SID memory location in hex. DEFAULT=D400

-Mxx
    Set sound mixing rate DEFAULT=44100

-Oxx
    Set pulseoptimization/skipping (0 = off, 1 = on) DEFAULT=on

-Qxx
    Set equal divisions per octave (12 = default, 8.2019143 = Bohlen-Pierce)

-Rxx
    Set realtime-effect optimization/skipping (0 = off, 1 = on) DEFAULT=on

-Sxx
    Set speed multiplier (0 for 25Hz, 1 for 1x, 2 for 2x etc.)

-Txx
    Set HardSID interactive mode sound buffer length in milliseconds DEFAULT=20, max.buffering=0

-Uxx
    Set HardSID playback mode sound buffer length in milliseconds DEFAULT=400, max.buffering=0

-Vxx
    Set finevibrato conversion (0 = off, 1 = on) DEFAULT=on

-Xxx
    Set window type (0 = window, 1 = fullscreen) DEFAULT=window

-Yxx
    Path to a Scala tuning file .scl

-Zxx
    Set random reSID write delay in cycles (0 = off) DEFAULT=off

-wxx
    Set window scale factor (1 = no scaling, 2 to 4 = 2 to 4 times bigger window) DEFAULT=1

-N  Use NTSC timing

-P  Use PAL timing (DEFAULT)

-W  Write sound output to a file SIDAUDIO.RAW

-?  Show this info again

-?? Standalone online help window

SEE ALSO
ocp(1), protracker(1), milkytracker(1), schism(1)

AUTHOR
goattracker was written by Lasse Öörni.

This manual page was written by Gürkan Sengün <gurkan@phys.ethz.ch>, for the Debian project (but may be used by others).